"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Languages = void 0;
exports.getLanguage = getLanguage;
var _manifest = _interopRequireDefault(require("../vendor/shiki/manifest.json"));
function _interopRequireDefault(e) { return e && e.__esModule ? e : { default: e }; }
function _getRequireWildcardCache(e) { if ("function" != typeof WeakMap) return null; var r = new WeakMap(), t = new WeakMap(); return (_getRequireWildcardCache = function (e) { return e ? t : r; })(e); }
function _interopRequireWildcard(e, r) { if (!r && e && e.__esModule) return e; if (null === e || "object" != typeof e && "function" != typeof e) return { default: e }; var t = _getRequireWildcardCache(r); if (t && t.has(e)) return t.get(e); var n = { __proto__: null }, a = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var u in e) if ("default" !== u && {}.hasOwnProperty.call(e, u)) { var i = a ? Object.getOwnPropertyDescriptor(e, u) : null; i && (i.get || i.set) ? Object.defineProperty(n, u, i) : n[u] = e[u]; } return n.default = e, t && t.set(e, n), n; }
const Languages = exports.Languages = Object.keys(_manifest.default.langs).reduce((acc, lang) => {
  const key = lang.replace(/-/g, '_').toUpperCase();
  return {
    ...acc,
    [key]: lang
  };
}, {});
async function getLanguage(langName) {
  try {
    const lang = await (specifier => new Promise(r => r(specifier)).then(s => _interopRequireWildcard(require(s))))(`../vendor/shiki/langs/${String(langName)}.js`);
    return lang.default;
  } catch (err) {
    const error = err instanceof Error ? err.message : String(err);
    throw new Error(`Language '${String(langName)}' failed to load: ${error}`);
  }
}
//# sourceMappingURL=langs.js.map