"use strict";

import manifest from '../vendor/shiki/manifest.json';
export const Languages = Object.keys(manifest.langs).reduce((acc, lang) => {
  const key = lang.replace(/-/g, '_').toUpperCase();
  return {
    ...acc,
    [key]: lang
  };
}, {});
export async function getLanguage(langName) {
  try {
    const lang = await import(`../vendor/shiki/langs/${String(langName)}.js`);
    return lang.default;
  } catch (err) {
    const error = err instanceof Error ? err.message : String(err);
    throw new Error(`Language '${String(langName)}' failed to load: ${error}`);
  }
}
//# sourceMappingURL=langs.js.map