"use strict";

import manifest from '../vendor/shiki/manifest.json';
export const Themes = Object.keys(manifest.themes).reduce((acc, theme) => {
  const key = theme.replace(/-/g, '_').toUpperCase();
  return {
    ...acc,
    [key]: theme
  };
}, {});
export async function getTheme(themeName) {
  try {
    const theme = await import(`../vendor/shiki/themes/${String(themeName)}.js`);
    return theme.default;
  } catch (err) {
    const error = err instanceof Error ? err.message : String(err);
    throw new Error(`Theme '${String(themeName)}' failed to load: ${error}`);
  }
}
//# sourceMappingURL=themes.js.map